org.keycloak.userprofile

## Enum UserProfileContext

- java.lang.Object
- - java.lang.Enum<UserProfileContext>
  - - org.keycloak.userprofile.UserProfileContext

- All Implemented Interfaces:
    Serializable, Comparable<UserProfileContext>

      public enum UserProfileContext
      extends Enum<UserProfileContext>

  This interface represents the different contexts from where user profiles are managed. The core contexts are already available here representing the different parts in Keycloak where user profiles are managed.

  The context is crucial to drive the conditions that should be respected when managing user profiles. It might be possible to include in the future metadata about contexts. As well as support custom contexts.

  Author:
    Markus Till

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCOUNT`
    `ACCOUNT_OLD`
    `IDP_REVIEW`
    `REGISTRATION_PROFILE`
    `REGISTRATION_USER_CREATION`
    `UPDATE_PROFILE`
    `USER_API`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `resetEmailVerified`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isResetEmailVerified()`
    `static UserProfileContext` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UserProfileContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPDATE_PROFILE

          public static final UserProfileContext UPDATE_PROFILE

    - #### USER_API

          public static final UserProfileContext USER_API

    - #### ACCOUNT

          public static final UserProfileContext ACCOUNT

    - #### ACCOUNT_OLD

          public static final UserProfileContext ACCOUNT_OLD

    - #### IDP_REVIEW

          public static final UserProfileContext IDP_REVIEW

    - #### REGISTRATION_PROFILE

          public static final UserProfileContext REGISTRATION_PROFILE

    - #### REGISTRATION_USER_CREATION

          public static final UserProfileContext REGISTRATION_USER_CREATION

  - ### Field Detail

    - #### resetEmailVerified

          protected boolean resetEmailVerified

  - ### Method Detail

    - #### values

          public static UserProfileContext[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserProfileContext c : UserProfileContext.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserProfileContext valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isResetEmailVerified

          public boolean isResetEmailVerified()

      Returns:
        true means that UserModel.emailVerified flag must be reset to false in this context when email address is updated

Copyright © 2021 JBoss by Red Hat. All rights reserved.